<?php
//
$SYS_FOC="Nom";//Primer control en recibir el focus
//
$Nom=V($_POST['Nom']);
$Des=V($_POST['Des']);
$Hab=V($_POST['Hab']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("vis_listas_esp","ID=$Id");
	$Nom=$r['NOM'];
	$Des=$r['DES'];
	$Hab=$r['HAB'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
if($StrCmd=="G"){
	$PX=gn("count(*)","listas_especiales","le_nom='$Nom'");
	if($PX>0){
		$SYS_MSG="Lista ya registrada";
	}else{
		$FILE="";
		$Id=GenId("id_le","listas_especiales");
		$s="INSERT INTO listas_especiales 
			VALUES ($Id,'$Nom','$Des','$Hab')";
		ejt($s);	
		//			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	$PX=gn("count(*)","listas_especiales","le_nom='$Nom' AND id_le<>$StrId");
	if($PX>0){
		$SYS_MSG="Lista ya registrada";
	}else{
		$FILE="";		
		$s="UPDATE listas_especiales 
			SET le_nom='$Nom',le_des='$Des',le_hab='$Hab' 
			WHERE id_le=$StrId";
		ejt($s);
		//			
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){		
	$s="DELETE FROM listas_especiales WHERE id_le=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	//$FActual=ImgA("fotos/pro".$StrId);
	//ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Des="";
	$Hab="";
}
?>
